import request from '@/config/axios'

// 创建
export const createCourse = (data) => {
  return request.post({ url: '/admin-api/applet/sinology/lesson/create', data, isSubmitForm: true })
}

// 修改
export const updateCourse = (data) => {
  return request.put({ url: '/admin-api/applet/sinology/lesson/update', data })
}

// 分页
export const getCoursePage = (params) => {
  return request.get({ url: '/admin-api/applet/sinology/lesson/page', params })
}

// 删除
export const deleteCourse = (id) => {
  return request.delete({ url: '/admin-api/applet/sinology/lesson/delete', params: { id } })
}
